/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.deploy.impl.deployable;

import org.ow2.util.archive.api.IArchive;
import org.ow2.util.ee.deploy.api.deployable.EJB21Deployable;


/**
 * Implementation for an EJB 2.1.
 * @author Florent Benoit
 */
public class EJB21DeployableImpl extends AbsDeployable<EJB21Deployable> implements EJB21Deployable {

    /**
     * Defines and create a deployable for the given archive.
     * @param archive the given archive.
     */
    public EJB21DeployableImpl(final IArchive archive) {
        super(archive);
    }
}
